Bio pages API
Hosted link-in-bio pages.
| Operation | Method and path |
|---|---|
| List bio pages | GET /api/v1/bio |
| Create a bio page | POST /api/v1/bio |
| Get a bio page | GET /api/v1/bio/{id} |
| Update a bio page | PATCH /api/v1/bio/{id} |
| Delete a bio page | DELETE /api/v1/bio/{id} |
GET
/api/v1/bio List bio pages
bio.list · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
teamId | query | string | |
offset | query | integer | |
limit | query | integer |
Example
curl -X GET "https://api.siaran.my/api/v1/bio" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
itemsobject[] required11 fields
-
idstring required -
teamIdstring -
slugstring required -
titlestring required -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any> -
publishedboolean -
itemsobject[]9 fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
-
-
createdAtstring date-time -
updatedAtstring date-time
-
-
totalinteger required
POST
/api/v1/bio Create a bio page
bio.create · requires x-api-key
Request body application/json
-
teamIdstring required -
slugstring required -
titlestring required -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any>
Example
curl -X POST "https://api.siaran.my/api/v1/bio" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"teamId": "TEAM_ID",
"slug": "string",
"title": "Hello from Siar"
}' Response 201
11 top-level fields
-
idstring required -
teamIdstring -
slugstring required -
titlestring required -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any> -
publishedboolean -
itemsobject[]9 fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
-
-
createdAtstring date-time -
updatedAtstring date-time
GET
/api/v1/bio/{id} Get a bio page
bio.get · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X GET "https://api.siaran.my/api/v1/bio/ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
11 top-level fields
-
idstring required -
teamIdstring -
slugstring required -
titlestring required -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any> -
publishedboolean -
itemsobject[]9 fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
-
-
createdAtstring date-time -
updatedAtstring date-time
PATCH
/api/v1/bio/{id} Update a bio page
bio.update · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Request body application/json
-
slugstring -
titlestring -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any> -
publishedboolean
Example
curl -X PATCH "https://api.siaran.my/api/v1/bio/ID" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"slug": "string",
"title": "Hello from Siar",
"description": "Hello from Siar"
}' Response 200
11 top-level fields
-
idstring required -
teamIdstring -
slugstring required -
titlestring required -
descriptionstring nullable -
avatarUrlstring nullable -
thememap<string, any> -
publishedboolean -
itemsobject[]9 fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
-
-
createdAtstring date-time -
updatedAtstring date-time
DELETE
/api/v1/bio/{id} Delete a bio page
bio.delete · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X DELETE "https://api.siaran.my/api/v1/bio/ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
successboolean required